Piloterr

Crunchbase People Info

Retrieve detailed Crunchbase profiles for individuals including career history, investments, and board positions.

Credit cost: 2 credits per call

GET
/v2/crunchbase/people/info

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Search for a person by their name, Crunchbase permalink, or full Crunchbase profile URL.

  • elon-musk: Search by permalink slug
  • https://www.crunchbase.com/person/elon-musk: Full Crunchbase person URL
  • Sam Altman: Search by full name

Example:

elon-musk

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/crunchbase/people/info?query=string"

{
  "logo": "https://images.crunchbase.com/image/upload/c_pad,h_45,w_45,f_auto,b_white,q_auto:eco,dpr_1/hevy6dvk7gien0rmg37n",
  "name": "Elon Musk",
  "uuid": "d3326bcc-6d25-9214-60c7-1e95c5f2f2a1",
  "title": "Elon Musk - Founder, CEO & CTO @ SpaceX",
  "gender": "male",
  "image_id": "hevy6dvk7gien0rmg37n",
  "permalink": "elon-musk",
  "short_description": "Elon Musk is based out of Hawthorne, California, and is the Founder, Chief Executive Officer, and Chief Technology Officer of SpaceX.",
  "num_current_jobs": 8,
  "num_founded_organizations": 8,
  "rank_principal_investor": 22124,
  "locations": [
    {
      "name": "Hawthorne",
      "type": "city",
      "uuid": "ed19e5bf-bec4-49ef-d87e-5979a1a7c0c8",
      "permalink": "hawthorne-california"
    },
    {
      "name": "California",
      "type": "region",
      "uuid": "eb879a83-c91a-121e-0bb8-829782dbcf04",
      "permalink": "california-united-states"
    },
    {
      "name": "United States",
      "type": "country",
      "uuid": "f110fca2-1055-99f6-996d-011c198b3928",
      "permalink": "united-states"
    }
  ],
  "current_positions": [
    {
      "title": "Founder, CEO & CTO",
      "job_uuid": "02d4e58e-7e57-a127-2434-f6d2d24ec05a",
      "organization": {
        "logo": "https://images.crunchbase.com/image/upload/c_pad,h_45,w_45,f_auto,b_white,q_auto:eco,dpr_1/u196odmivjn2dvw09xhx",
        "name": "SpaceX",
        "uuid": "2372e88e-240a-a19c-c549-bd262c670ee1",
        "permalink": "space-exploration-technologies"
      }
    },
    {
      "title": "CEO",
      "job_uuid": "d8dbf949-ad81-0ffb-3c02-086f8f0dd626",
      "organization": {
        "logo": "https://images.crunchbase.com/image/upload/c_pad,h_45,w_45,f_auto,b_white,q_auto:eco,dpr_1/dj8rndg9wkqkpgvplvzi",
        "name": "Tesla",
        "uuid": "a367b036-5952-5435-7541-ad7ee8869e24",
        "permalink": "tesla-motors"
      }
    },
    {
      "title": "CEO & Founder",
      "job_uuid": "63539854-3e86-494d-bd0b-6a4c6d5d9899",
      "organization": {
        "logo": "https://images.crunchbase.com/image/upload/c_pad,h_45,w_45,f_auto,b_white,q_auto:eco,dpr_1/fx3dkdpnolvubjldo54x",
        "name": "xAI",
        "uuid": "fb1e8b91-ca1f-46fa-b773-b147af49088c",
        "permalink": "xai"
      }
    }
  ],
  "past_positions": [
    {
      "title": "CEO",
      "ended_on": {
        "value": "2023-01-01",
        "precision": "year"
      },
      "job_uuid": "73d25b88-2ab4-45a3-abed-51d7f8ead754",
      "started_on": {
        "value": "2022-10-01",
        "precision": "month"
      },
      "organization": {
        "name": "X (formerly Twitter)",
        "uuid": "5da6106f-0d27-0d37-e9d7-dcfeccc1f709",
        "permalink": "twitter"
      }
    },
    {
      "title": "Co-founder",
      "ended_on": {
        "value": "2018-01-01",
        "precision": "year"
      },
      "job_uuid": "a0ec5bed-52e7-4cdb-aff6-a563750bd329",
      "started_on": {
        "value": "2015-12-01",
        "precision": "month"
      },
      "organization": {
        "name": "OpenAI",
        "uuid": "cf2c678c-b81a-80c3-10d1-9c5e76448e51",
        "permalink": "openai"
      }
    }
  ],
  "education": [
    {
      "school": {
        "logo": "https://images.crunchbase.com/image/upload/c_pad,h_45,w_45,f_auto,b_white,q_auto:eco,dpr_1/v1491958662/vzxwledskmxwj0vtbqgs.png",
        "name": "University of Pennsylvania",
        "uuid": "e72aab01-fbef-7d21-ac1d-84ee1413fddd",
        "permalink": "university-of-pennsylvania"
      },
      "started_on": null,
      "degree_name": null,
      "completed_on": null,
      "education_uuid": "a10d1587-43e0-109f-198d-ba1a2724850e"
    }
  ],
  "social_networks": [
    {
      "url": "https://x.com/elonmusk",
      "name": "twitter"
    }
  ],
  "investments": [],
  "facet_ids": [
    "investor",
    "rank"
  ]
}

{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}